from matplotlib import pyplot as plt
import numpy as np

plt.style.use("seaborn")

# bar charts ima smisla koristiti kada uporedjujemo 2-3 pojave
# za vise od toga treba koristiti drugi tip grafika

x = [24, 25, 26, 27, 28, 29, 30]
y = [100, 120, 115, 130, 140, 135, 150]
z = [90, 105, 140, 125, 110, 108, 140]

# da bismo mogli da zadajemo sirine studica, potrebno je da 
# kao skalu na x osi postavimo cele brojeve [od 0,x-1]
x_index = np.arange(len(x))

# parametar kojim podesavamo sirinu stuba
width = 0.25
# crtamo dva stuba jedan pored drugog
# parametar width nam omogucava da zadamo zeljenu sirinu stubica
plt.bar(x_index - width/2,y, color="red", label="Statistika 1",
            width=width)
plt.bar(x_index + width/2,z, color="blue", label="Statistika 2",
        width=width)
# da bi grafik imao smisla, preimenovacemo brojeve na x osi
# ticks - originalne skala
# labels - zeljeno ime
plt.xticks(ticks=x_index, labels=x)
# standardno opisivanje sadrzaja na grafiku
plt.title("Bar chart")
plt.xlabel("Godine")
plt.ylabel("Neka statistika")
plt.legend()

plt.tight_layout()
plt.savefig("bar_charts.png")
plt.show()