# potrebno je da dodamo klasu pyplot iz paketa matplotlib
# u nas program. radi lakse upotrebe preimenovacemo je plt
from matplotlib import pyplot as plt

# na startu, moguce je definisani stil crteza koji zelimo
# stilova ima dosta i neki od popularnih su: 
# seaborn, ggplot, fivethirtyeight i razni drugi
#plt.style.use("fivethirtyeight")

# xkcd je stil koji ce grafike uciniti da deluju kao da su
# nacrtani rukom
plt.xkcd()

# definisemo podatke
# x je nezavisno promenljiva, a y i z su zavisno promenljive
x = [24, 25, 26, 27, 28, 29, 30]
y = [100, 120, 115, 130, 140, 135, 150]
z = [90, 105, 140, 125, 110, 108, 140]

# metod plot se koristi za crtanje grafika
# cesta podesavanja su
# label -> opis nacrtanog grafika, tj. legenda
# color -> boja koja se koristi za crtanje grafika. moze se zadati recima ili kao rgb heksadekadni kod
# linestyle -> definise tip linije kojom se povezuju tackice (solid, -, --, ...) 
# marker -> definise koji simbol se koristi za obelezavanje izmerenih tacaka (o, x, +, ...) 
plt.plot(x, y, label='Neka statistika',
        color="#aabb22", linestyle='--',
        marker='o')
# na isti grafik, lako dodajemo novu krivu ponovnim pozivanjem plot metoda
plt.plot(x, z, label="Neka druga statistika",
         color="#17bb19", linestyle="solid",
         marker='x')

# da bi grafik bio vizuelno dopadljiv i jasno obelezen potrebno je da definisemo sledece
# title -> naslov grafika
# xlabel -> obelezje x ose 
# ylabel -> obelezje y ose
# legend -> ukljucuje prikaz legende kojom se objasnjava sta koji boja predstavlja
plt.title("Prvi grafik")
plt.xlabel("Godine")
plt.ylabel("Neka statistika")
plt.legend(loc="upper left")

# smanjuje margine grafika i omogucava lepsi prikaz grafika na malim rezolucijama
plt.tight_layout()
# grafik uvek mozemo da sacuvamo kao sliku 
plt.savefig("line_plot.png")

# prikazivanje grafika radimo pomocu metoda show
# show je blokirajuci metod i blokira nas program sve dok korisnik ne zatvori grafik
plt.show()

