from matplotlib import pyplot as plt

plt.style.use("fivethirtyeight")

# pitice se koriste kada imamo manji broj kategorija (5-7)
# za vise od 7 kategorija, pitice postaju nepregledne i treba
# koristiti neki drugi oblik grafika (histogram na primer)

# definisemo podatke koje zelimo da prikazemo piticama
# podaci ne moraju u zbiru da daju 100, jer ce matplotlib automatski
# skalirati sve sto treba
slices = [60, 20, 40, 10, 80]
# definisemo nazive kategorija
labels = ["Q1", "Q2", "Q3", "Q4", "Q5"]
color = ["red", "orange", "blue", "green", "magenta"]
# explode je parametar kojim mozemo da odredimo 
# koliko konkretno "parce" treba da bude izdvojeno
# u odnosu na ostale. vrednost koja se zadaje je 
# procenat poluprecnika koliko treba udaljiti izabrano parce
# 0.1 znaci da hocemo parce da pomerimo od centra za 10% poluprecnika
explode = [0,0.1,0,0.1,0]

# crtamo piticu
# wedgeprops -> dodaje okvir oko svakog parceta pite
# explode -> izdvaja izabrane parcice
# autopct -> omogucava formatirani prikaz procenata
# shadow -> dodaje senku na grafik
plt.pie(slices, labels=labels, colors=color,
        wedgeprops={'edgecolor':'black'}, explode=explode,
        autopct="%1.1f%%", shadow=True)

# uobicajeno podesavanje grafika
plt.title("Answer statistic")
# legend je besmislen u kontekstu pitica
#plt.legend()

plt.savefig("pie_charts.png")
plt.tight_layout()
plt.show()