from matplotlib import pyplot as plt
import pandas as pd
import numpy as np
from collections import Counter

# program kreira prikaz popularnosti
# programskih jezika pomocu pitica

# definisemo stil koji koristimo
plt.style.use("ggplot")

# ucitavamo podatke iz csv datoteke
data = pd.read_csv("popularity.csv")
# izdvajamo obelezene grupe podataka
ids = data["Responder_id"]
lang_responses = data["LanguagesWorkedWith"]

# koristimo klasu Counter() da bismo prebrojali frekvencije
# pojavljivanja svakog jezika
lcounter = Counter()
for response in lang_responses:
    lcounter.update(response.split(";"))

# u petlji, peske izdvajamo 7 najpopularijih jezima
languages = []
popularity = []
for item in lcounter.most_common(7):
    languages.append(item[0])
    popularity.append(item[1])

# definisemo parametre kojima izdvajamo parcice pite
explode = [0, 0, 0, 0.1, 0.15, 0.2, 0.1]

# crtamo sam grafik
plt.pie(popularity, labels=languages, autopct="%1.1f%%",
        wedgeprops={'edgecolor':'black'}, explode=explode,
        startangle=90)

# uobicajeno formatiranje prikaza
plt.title("Programming language populairty survey")
plt.tight_layout()

# cuvamo grafik kao sliku
plt.savefig("lang_popularity_pie.png")
# prikazujemo grafik
plt.show()